JV-CONVERT(1)

NAME
jv-convert - Convert file from one encoding to another

SYNOPSIS
jv-convert [OPTION] ... [INPUTFILE [OUTPUTFILE]]

DESCRIPTION
jv-convert is a utility included with "libgcj" which converts a file from one encoding to another. It is similar to the Unix iconv utility.

The encodings supported by jv-convert are platform-dependent. Currently there is no way to get a list of all supported encodings.

OPTIONS

--encoding name
--from name
    Use name as the input encoding. The default is the current locale's encoding.

--to name
    Use name as the output encoding. The default is the "JavaSrc" encoding; this is ASCII with \u escapes for non-ASCII characters.

-i file
    Read from file. The default is to read from standard input.

-o file
    Write to file. The default is to write to standard output.

--reverse
    Swap the input and output encodings.

--help
    Print a help message, then exit.

--version
    Print version information, then exit.

SEE ALSO

COPYRIGHT
Copyright (c) 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with the Invariant Sections being "GNU General Public License", the Front-Cover texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).

(a) The FSF's Front-Cover Text is:

     A GNU Manual

(b) The FSF's Back-Cover Text is:

     You have freedom to copy and modify this GNU Manual, like GNU
     software.  Copies published by the Free Software Foundation raise
     funds for GNU development.